CFDISK(8)

NAMN
cfdisk - visa eller manipulera en diskpartitionstabell

SYNOPSIS

cfdisk [flaggor] [enhet]

BESKRIVNING

cfdisk är ett curses-baserat program för partitionering av valfri blockenhet. Standardenheten är /dev/sda.

Observera att cfdisk tillhandahåller grundläggande partitioneringsfunktioner med ett användarvänligt gränssnitt. Om du behöver avancerade funktioner bör du använda fdisk(8) istället.

Alla ändringar av disketiketter kommer endast att finnas i minnet och disken kommer inte att ändras förrän du bestämmer dig för att skriva dina ändringar. Var försiktig innan du använder kommandot write.

Sedan version 2.25 stöder cfdisk MBR (DOS), GPT, SUN och SGI disketiketter, men tillhandahåller inte längre någon funktionalitet för CHS-adressering (Cylinder-Head-Sector). CHS har aldrig varit viktigt för Linux, och det här adresseringskonceptet är inte meningsfullt för nya enheter.

Sedan version 2.25 har cfdisk inte heller något "print"-kommando längre. Denna funktionalitet tillhandahålls av verktygen partx(8) och lsblk(8) på ett mycket bekvämt och rikt sätt.

Om du vill ta bort en gammal partitionstabell från en enhet använder du wipefs(8).

FLAGGOR

-L, --color[=när]
    Färglägger utdata. Det valfria argumentet när kan vara auto, never eller always. Om argumentet när utelämnas är standardvärdet auto. Färgerna kan inaktiveras, för den aktuella inbyggda standardinställningen se utdata för --help. Se även avsnittet FÄRGER.

--lock[=läge]
    Use an exclusive BSD lock for the device or file that is operated upon. The optional argument mode can be yes (1), no (0), or nonblock. If the mode argument is omitted, it defaults to yes. This option overrides the environment variable $LOCK_BLOCK_DEVICE. The default is to not use any lock at all, but using a lock is recommended to avoid collisions with systemd-udevd(8) or other tools.

-r, --read-only
    Tvångsöppnad i skrivskyddat läge.

-b, --sector-size sektorstorlek
    Ange diskens sektorstorlek. Giltiga värden är 512, 1024, 2048 och 4096. Kärnan känner till sektorstorleken för enheter med vanliga block. Använd denna flagga endast på mycket gamla kärnor, när du arbetar med diskavbildningar eller för att åsidosätta kärnans standardsektorstorlek. Sedan util-linux-2.17 skiljer fdisk mellan logisk och fysisk sektorstorlek. Denna flagga ändrar båda sektorstorlekarna till den angivna sektorstorlek.

-z, --zero
    Starta med en nollställd partitionstabell i minnet. Den här flaggan nollställer inte partitionstabellen på disken, utan startar programmet utan att läsa den befintliga partitionstabellen. Med den här flaggan kan du skapa en ny partitionstabell från början eller från ett sfdisk(8)-kompatibelt skript.

-h, --help
    Visa hjälptext och avsluta.

-V, --version
    Visa version och avsluta.

KOMMANDON

Kommandona för cfdisk kan anges genom att trycka på motsvarande tangent (det är inte nödvändigt att trycka på Enter efter kommandot). Här följer en lista över tillgängliga kommandon:

b
    Växla flaggan för startbarhet för den aktuella partitionen. Detta gör att du kan välja vilken primär partition som är startbar på enheten. Det här kommandot kanske inte är tillgängligt för alla typer av partitionsetiketter.

d
    Ta bort den aktuella partitionen. Detta omvandlar den aktuella partitionen till ledigt utrymme och sammanfogar den med ledigt utrymme som omedelbart omger den aktuella partitionen. En partition som redan är markerad som ledigt utrymme eller markerad som oanvändbar kan inte tas bort.

h
    Visa hjälpskärmen.

n
    Skapa en ny partition från ledigt utrymme. cfdisk frågar dig sedan om storleken på den partition som du vill skapa. Standardstorleken är lika med hela det tillgängliga lediga utrymmet vid den aktuella positionen.

    Storleken kan följas av ett multiplikativt suffix: KiB (=1024), MiB (=1024*1024), och så vidare för GiB, TiB, PiB, EiB, ZiB och YiB ("iB" är valfritt, t.ex. har "K" samma betydelse som "KiB").

q
    Avsluta programmet. Detta avslutar programmet utan att skriva några data till disken.

r
    Minska eller förstora den aktuella partitionen. cfdisk frågar dig sedan om den nya storleken på partitionen. Standardstorleken är den aktuella storleken. En partition som är markerad som ledigt utrymme eller markerad som oanvändbar kan inte ändras i storlek.

    Observera att om du minskar storleken på en partition kan data på den partitionen förstöras

s
    Sortera partitionerna i stigande start-sektorordning. När du tar bort och lägger till partitioner är det troligt att numreringen av partitionerna inte längre stämmer överens med deras ordning på disken. Detta kommando återställer denna matchning.

t
    Ändra partitionstyp. Som standard skapas nya partitioner som Linux-partitioner.

u
    Dumpa den aktuella partitionstabellen i minnet till en sfdisk(8)-kompatibel skriptfil.

    Skriptfilerna är kompatibla mellan cfdisk, fdisk(8) sfdisk(8) och andra libfdisk-program. För mer information se sfdisk(8).

    Det är också möjligt att läsa in ett sfdisk-script i cfdisk om det inte finns någon partitionstabell på enheten eller när du startar cfdisk med kommandoradsflaggan --zero.

W
    Skriv partitionstabellen till hårddisken (du måste ange ett versalt W). Eftersom detta kan förstöra data på disken måste du antingen bekräfta eller neka skrivningen genom att ange `yes' eller `no'. Om du anger `yes' kommer cfdisk att skriva partitionstabellen till disken och sedan säga till kärnan att läsa partitionstabellen från disken igen.

    Återläsningen av partitionstabellen fungerar inte alltid. I sådana fall måste du informera kärnan om eventuella nya partitioner genom att använda partprobe(8) eller partx(8), eller genom att starta om systemet.

x
    Växla extra information om en partition.

Upp-pil, _Ned-pil
    Flytta markören till föregående eller nästa partition. Om det finns fler partitioner än vad som kan visas på en skärm, kan du visa nästa (föregående) uppsättning partitioner genom att flytta nedåt (uppåt) vid den sista (första) partitionen som visas på skärmen.

Vänsterpil, _Högerpil
    Välj föregående eller nästa menypost. Om du trycker på Enter utförs den aktuella markeringen.

Alla kommandon kan anges med både stora och små bokstäver (utom Write). När du befinner dig i en undermeny eller vid en prompt kan du trycka på Esc för att återgå till huvudmenyn.

FÄRGER

Färgläggningen av utdata implementeras av terminal-colors.d(5) funktionalitet. Implicit färgläggning kan inaktiveras med en tom fil

    /etc/terminal-colors.d/cfdisk.disable

för kommandot cfdisk eller för alla verktyg med

    /etc/terminal-colors.d/disable

Sedan version 2.41 stöds även miljövariabeln $NO_COLOR som inaktiverar färgläggning av utdata om den inte uttryckligen aktiveras med en kommandoradsflagga.

Den användarspecifika $XDG_CONFIG_HOME/terminal-colors.d eller $HOME/.config/terminal-colors.d åsidosätter den globala inställningen.

Observera att färgläggningen av utdata kan vara aktiverad som standard, och i så fall behöver inte terminal-colors.d-katalogerna finnas ännu.

cfdisk stöder inte färganpassning med en färgschemafil.

MILJÖ

CFDISK_DEBUG=all
    aktiverar felsökingsutmatning för cfdisk.

LIBFDISK_DEBUG=all
    aktiverar libfdisk felsökningsutdata.

LIBBLKID_DEBUG=all
    aktiverar libblkid felsökningsutdata.

LIBSMARTCOLS_DEBUG=all
    aktiverar libsmartcols felsökningsutdata.

LIBSMARTCOLS_DEBUG_PADDING=on
    använda synliga utfyllnadstecken.

LOCK_BLOCK_DEVICE=<mode>
    använd exklusivt BSD-lås. Läget är "1" eller "0". Se --lock för mer information.

UPPHOVSPERSONER

Den nuvarande cfdisk-implementeringen är baserad på den ursprungliga cfdisk från

SE ÄVEN

fdisk(8), parted(8), partprobe(8), partx(8), sfdisk(8)

FELRAPPORTERING

För felrapporter, använd

TILLGÄNGLIGHET

Kommandot cfdisk ingår i paketet util-linux som kan hämtas från